Bug 322171 - wxMaxima: "Not connected to maxima!" without internet
wxMaxima: "Not connected to maxima!" without internet
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wxMaxima (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
http://sourceforge.net/tracker/index....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 10:03 EDT by Yan
Modified: 2010-01-16 10:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 18:08:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan 2007-10-07 10:03:18 EDT
Description of problem:
If internet on then wxMaxima normal start and solve expression.
Without internet wxMaxima notify "Not connected to maxima!".
Console application maxima normal start and normal solve without
internet.

loopback 127.0.0.1 present and not down with disconnect internet


Version-Release number of selected component (if applicable):

How reproducible:
run wxMaxima without internet connection

Steps to Reproduce:
1. run wxMaxima without internet connection
2. insert 1+2; <enter>
3. wxMaxima print message "Not connected to maxima!".
  
Actual results:
wxMaxima print message "Not connected to maxima!"

Expected results:
solve expression

Additional info:
Linux home 2.6.22.7-57.fc6 #1 SMP Fri Sep 21 19:26:56 EDT 2007 i686 athlon
i386 GNU/Linux
RedHat Fedore 7 last update 7 october 2007

http://sourceforge.net/tracker/index.php?func=detail&aid=814957&group_id=4933&atid=104933
Comment 1 Rex Dieter 2007-10-11 09:33:30 EDT
Hmm... how did this not get assigned to me, wxMaxima's maintainer?  Oh well, 
I'll take it now.
Comment 2 Rex Dieter 2007-10-11 09:37:45 EDT
Appears to not be a wxMaxima bug:
https://www.redhat.com/archives/fedora-list/2007-October/msg01224.html

check to make sure you have (something like) in /etc/hosts:
127.0.0.1 localhost.localdomain localhost
Comment 3 Rex Dieter 2007-11-11 18:08:18 EST
Feel free to reopen if you still experience problems after verifying your
/etc/hosts has a valid localhost entry.
Comment 4 warcry.spam 2010-01-14 15:40:05 EST
I have this problem too in a almost-clean Fedora 12. I have that line in /etc/hosts and I have made ifconfig lo up, but it still doesn't work. I have tried too to disable the firewall but that doesn't worked...

It should work out of the box, if not, the bug is still present.
Comment 5 Rex Dieter 2010-01-14 15:55:56 EST
what is the contents of your 
/etc/hosts
?
Comment 6 warcry.spam 2010-01-16 10:52:35 EST
(In reply to comment #5)
> what is the contents of your 
> /etc/hosts
> ?    

# hostname name.domain.net added to /etc/hosts by anaconda
127.0.0.1		localhost.localdomain localhost name.domain.net
::1		localhost6.localdomain6 localhost6 name.domain.net

Note You need to log in before you can comment on or make changes to this bug.